# Keerthana - WhatsApp AI Bot

<div align="center">
    <img src="https://github.com/keerthana-bot.png">
</div>

Keerthana is an AI-powered bot designed to respond to messages on both WhatsApp and Telegram. It leverages JavaScript, TypeScript, Node.js, and Axios to provide intelligent responses to user queries.

## Features

- **Multi-Platform Support:** Keerthana works seamlessly on both WhatsApp and Telegram.
- **Customizable Responses:** Tailor Keerthana's responses to suit your specific needs.
- **AI-Powered:** Utilizes Dialogflow for intelligent conversation handling.
- **Easy Setup:** Setting up Keerthana is straightforward and user-friendly.

## Installation

To deploy Keerthana, you'll need to create a Dialogflow agent and configure a webhook for receiving messages on WhatsApp and Telegram. Detailed setup instructions are available in the [`Wiki`](https://github.com/Ajayos/Keerthana/wiki) section of this repository.

## Usage

After setting up your Dialogflow agent and webhook, Keerthana is ready to respond to messages on both WhatsApp and Telegram. Send a message to the bot, and it will generate personalized responses based on your query.

## License

Keerthana is licensed under the Apache License 2.0. The full license text is available in the [`LICENSE`](https://github.com/Ajayos/Keerthana/blob/main/LICENSE) file.

## About the Author

This project is crafted by Ajay O S, a passionate software developer specializing in innovative solutions using cutting-edge technologies. Connect with me through:

- Email: [**`ajayosakhub@gmail.com`**](mailto:ajayosakhub@gmail.com)
- GitHub:  [**`Ajayos`**](https://github.com/Ajayos)
- Twitter: [**`_ajay_o_s_`**](https://twitter.com/_ajay_o_s_)
- Instagram: [**`_ajay_o_s_`**](https://instagram.com/_ajay_o_s_)

## Bug Reports and Contributions

If you encounter any bugs or issues with Keerthana, please report them on the [`Issues`](https://github.com/Ajayos/Keerthana/issues) page of this repository. Contributions are highly appreciated and can be submitted through pull requests.

## Copyright

```
 * CODE BY AJAY O S
 * https://github.com/Ajayos
 * https://github.com/Ajayos/keerthana
 * https://ajayos.github.io/keerthana
 * https://github.com/Ajayos/Keerthana/wiki
 * CopyRight @Ajay o s 2022-2023
```

```Keerthana``` - Elevate your messaging experience on WhatsApp and Telegram to a new level of harmony.

```
➤⃟🍒 ✮⃝KEERTHANA🎀⃟⃪➣  ➤⃟🍒
```

Thank you for exploring Keerthana! We trust you'll find it as enjoyable to use as we found it enjoyable to create.